## gradm2 2.1.6

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 ##############################################################################
 
 GRADM_BIN=gradm
+GRADM_PAM=gradm_pam
 GRSEC_DIR=/etc/grsec
 
 LLEX=/usr/bin/lex
@@ -20,10 +21,9 @@
 CC=/usr/bin/gcc
 FIND=/usr/bin/find
 STRIP=/usr/bin/strip
-KERNVER := $(shell uname -r | cut -d"." -f 2)
 LIBS := $(shell if [ "`uname -m`" != "sparc64" ]; then echo "-lfl" ; else echo "" ; fi)
 OPT_FLAGS := $(shell if [ "`uname -m`" != "sparc64" ] && [ "`uname -m`" != "x86_64" ]; then echo "-O2" ; else echo "-O2 -m64" ; fi)
-CFLAGS := $(OPT_FLAGS) -DGRSEC_DIR=\"$(GRSEC_DIR)\" -DKERNVER=$(KERNVER)
+CFLAGS := $(OPT_FLAGS) -DGRSEC_DIR=\"$(GRSEC_DIR)\"
 LDFLAGS=
 INSTALL = /usr/bin/install -c
 
@@ -43,14 +43,24 @@
 	lex.fulllearn_pass3.o lex.learn_pass1.o lex.learn_pass2.o \
 	grlearn_config.tab.o lex.grlearn_config.o
 
-all: $(GRADM_BIN) grlearn
+all: $(GRADM_BIN) $(GRADM_PAM) grlearn
+nopam: $(GRADM_BIN) grlearn
 
-$(GRADM_BIN): $(OBJECTS)
+$(GRADM_BIN): $(OBJECTS) gradm.h gradm_defs.h gradm_func.h
 	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(LIBS) $(LDFLAGS)
 
-grlearn: grlearn.c gradm_lib.c
-	$(CC) $(CFLAGS) -o $@ grlearn.c gradm_lib.c $(LIBS) $(LDFLAGS)
+$(GRADM_PAM): gradm_pam.c gradm.h gradm_defs.h gradm_func.h
+	@if [ ! -f /usr/include/security/pam_appl.h ] ; then \
+		echo "Unable to detect PAM headers, disabling PAM support." ; \
+	else \
+		$(CC) $(CFLAGS) -o $@ gradm_pam.c -lpam -lpam_misc $(LDFLAGS) ; \
+	fi
 
+grlearn: grlearn.c gradm_lib.c grlearn2_config.tab.c lex.grlearn_config.c
+	$(CC) $(CFLAGS) -DIS_GRLEARN -o $@ grlearn.c gradm_lib.c grlearn2_config.tab.c lex.grlearn_config.c $(LIBS) $(LDFLAGS)
+
+grlearn2_config.tab.c: grlearn2_config.y
+	$(YACC) -b grlearn2_config -p grlearn2_config -d ./grlearn2_config.y
 
 grlearn_config.tab.c: grlearn_config.y
 	$(YACC) -b grlearn_config -p grlearn_config -d ./grlearn_config.y
@@ -89,12 +99,19 @@
 	$(LEX) $(LEXFLAGS) -Plearn_pass2 ./gradm_learn_pass2.l
 
 install: $(GRADM_BIN) gradm.8 policy grlearn
-	mkdir -p $(DESTDIR)/sbin
-	$(INSTALL) -m 0755 $(GRADM_BIN) $(DESTDIR)/sbin
-	$(STRIP) $(DESTDIR)/sbin/$(GRADM_BIN)
-	$(INSTALL) -m 0700 grlearn $(DESTDIR)/sbin
-	$(STRIP) $(DESTDIR)/sbin/grlearn
-	mkdir -p -m 700 $(DESTDIR)$(GRSEC_DIR)
+	@mkdir -p $(DESTDIR)/sbin
+	@echo "Installing gradm..."
+	@$(INSTALL) -m 0755 $(GRADM_BIN) $(DESTDIR)/sbin
+	@$(STRIP) $(DESTDIR)/sbin/$(GRADM_BIN)
+	@if [ -f $(GRADM_PAM) ] ; then \
+		echo "Installing gradm_pam..." ; \
+		$(INSTALL) -m 4755 $(GRADM_PAM) $(DESTDIR)/sbin ; \
+		$(STRIP) $(DESTDIR)/sbin/$(GRADM_PAM) ; \
+	fi
+	@echo "Installing grlearn..."
+	@$(INSTALL) -m 0700 grlearn $(DESTDIR)/sbin
+	@$(STRIP) $(DESTDIR)/sbin/grlearn
+	@mkdir -p -m 700 $(DESTDIR)$(GRSEC_DIR)
 	@if [ ! -f $(DESTDIR)$(GRSEC_DIR)/policy ] ; then \
 		if [ -f $(DESTDIR)$(GRSEC_DIR)/acl ] ; then \
 			mv $(DESTDIR)$(GRSEC_DIR)/acl $(DESTDIR)$(GRSEC_DIR)/policy ; \
@@ -113,8 +130,9 @@
 			$(MKNOD) -m 0622 $(DESTDIR)/dev/grsec c 1 12 ; \
 		fi \
 	fi
-	mkdir -p $(DESTDIR)$(MANDIR)/man8
-	$(INSTALL) -m 0644 gradm.8 $(DESTDIR)$(MANDIR)/man8/$(GRADM_BIN).8
+	@echo "Installing gradm manpage..."
+	@mkdir -p $(DESTDIR)$(MANDIR)/man8
+	@$(INSTALL) -m 0644 gradm.8 $(DESTDIR)$(MANDIR)/man8/$(GRADM_BIN).8
 	@if [ -x /sbin/$(GRADM_BIN) ] ; then \
 		if [ -z $(DESTDIR) ] && [ ! -f $(GRSEC_DIR)/pw ] ; then \
 			/sbin/$(GRADM_BIN) -P ; \
@@ -123,4 +141,4 @@
 	@true
 
 clean:
-	rm -f core *.o $(GRADM_BIN) lex.*.c *.tab.c *.tab.h grlearn
+	rm -f core *.o $(GRADM_BIN) $(GRADM_PAM) lex.*.c *.tab.c *.tab.h grlearn
