## gradm2 2.1.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################################
-#gradm (c) 2002-2005 	Brad Spengler 		        http://grsecurity.net#
+#gradm (c) 2002-2006 	Brad Spengler 		        http://grsecurity.net#
 #--------------------------------------			---------------------#
 #gradm is licensed under the GNU GPL v2 or higher http://www.gnu.org         #
 ##############################################################################
@@ -23,7 +23,7 @@
 STRIP=/usr/bin/strip
 LIBS := $(shell if [ "`uname -m`" != "sparc64" ]; then echo "-lfl" ; else echo "" ; fi)
 OPT_FLAGS := $(shell if [ "`uname -m`" != "sparc64" ] && [ "`uname -m`" != "x86_64" ]; then echo "-O2" ; else echo "-O2 -m64" ; fi)
-CFLAGS := $(OPT_FLAGS) -DGRSEC_DIR=\"$(GRSEC_DIR)\"
+CFLAGS := $(OPT_FLAGS) -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
 LDFLAGS=
 INSTALL = /usr/bin/install -c
 
@@ -41,7 +41,7 @@
 	gradm_sym.o gradm_newlearn.o gradm_fulllearn.o gradm_lib.o \
 	lex.fulllearn_pass1.o lex.fulllearn_pass2.o \
 	lex.fulllearn_pass3.o lex.learn_pass1.o lex.learn_pass2.o \
-	grlearn_config.tab.o lex.grlearn_config.o
+	grlearn_config.tab.o lex.grlearn_config.o gradm_globals.o
 
 all: $(GRADM_BIN) $(GRADM_PAM) grlearn
 nopam: $(GRADM_BIN) grlearn
