## gradm2 2.1.14~200910072130

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ##############################################################################
-#gradm (c) 2002-2006 	Brad Spengler 		        http://grsecurity.net#
-#--------------------------------------			---------------------#
-#gradm is licensed under the GNU GPL v2 or higher http://www.gnu.org         #
+# gradm (c) 2002-2009 - Brad Spengler, Open Source Security Inc.             #
+# http://www.grsecurity.net                                                  #
+#----------------------------------------------------------------------------#
+# gradm is licensed under the GNU GPL v2 or higher http://www.gnu.org        #
 ##############################################################################
 
 GRADM_BIN=gradm
@@ -12,9 +13,11 @@
 FLEX=/usr/bin/flex
 LEX := $(shell if [ -x $(FLEX) ]; then echo $(FLEX); else echo $(LLEX); fi)
 LEXFLAGS=-B
-BYACC=/usr/bin/byacc
+#ubuntu broke byacc for who knows why, disable it
+#BYACC=/usr/bin/byacc
 BISON=/usr/bin/bison
-YACC := $(shell if [ -x $(BYACC) ]; then echo $(BYACC); else echo $(BISON); fi)
+#YACC := $(shell if [ -x $(BYACC) ]; then echo $(BYACC); else echo $(BISON); fi)
+YACC=$(BISON)
 MKNOD=/bin/mknod
 #for dietlibc
 #CC=/usr/bin/diet /usr/bin/gcc
@@ -41,7 +44,8 @@
 	gradm_sym.o gradm_newlearn.o gradm_fulllearn.o gradm_lib.o \
 	lex.fulllearn_pass1.o lex.fulllearn_pass2.o \
 	lex.fulllearn_pass3.o lex.learn_pass1.o lex.learn_pass2.o \
-	grlearn_config.tab.o lex.grlearn_config.o gradm_globals.o
+	grlearn_config.tab.o lex.grlearn_config.o gradm_globals.o \
+	gradm_replace.o
 
 all: $(GRADM_BIN) $(GRADM_PAM) grlearn
 nopam: $(GRADM_BIN) grlearn
