=== debian/control ===
Source: gradm2
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), bison, flex, libpam0g-dev
Standards-Version: 3.9.3
Homepage: http://www.grsecurity.net/

Package: gradm2
Architecture: any
Suggests: linux-patch-grsecurity2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Administration program for the grsecurity2 RBAC based ACL system
 Used to manage the RBAC based ACL system of grsecurity2. Please note that you
 will need a specially patched kernel for grsecurity to work (see the
 kernel-patch-grsecurity2 Debian package). You can find more information
 about grsecurity at http://www.grsecurity.net/
