=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR = $(CURDIR)/debian/gradm2

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

clean:
	dh_testdir

	rm -f install-stamp build-stamp
	rm -rf $(DESTDIR)
	$(MAKE) clean
	dh_clean

build-arch: build-stamp
build-indep: build-stamp

build: build-arch build-indep

build-stamp:
	dh_testdir

	$(MAKE)
	touch $@

install: install-stamp

install-stamp: build
	dh_testdir

	$(MAKE) install DESTDIR=$(DESTDIR)
	install -m644 $(CURDIR)/gradm.8 $(DESTDIR)/usr/share/man/man8/gradm2.8
	rm -rf $(DESTDIR)/dev/
	install -d $(DESTDIR)/usr/share/lintian/overrides/
	install -m0644 $(CURDIR)/debian/lintian.overrides $(DESTDIR)/usr/share/lintian/overrides/gradm2
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_installdocs
	dh_installman debian/grlearn.8
	dh_installchangelogs
	dh_compress
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary-arch binary install
