## gradm2 2.9.1~201206091838

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################################
-# gradm (c) 2002-2009 - Brad Spengler, Open Source Security Inc.             #
+# gradm (c) 2002-2011 - Brad Spengler, Open Source Security Inc.             #
 # http://www.grsecurity.net                                                  #
 #----------------------------------------------------------------------------#
 # gradm is licensed under the GNU GPL v2 or higher http://www.gnu.org        #
@@ -24,9 +24,9 @@
 CC=/usr/bin/gcc
 FIND=/usr/bin/find
 STRIP=/usr/bin/strip
-LIBS := $(shell if [ "`uname -m`" != "sparc64" ]; then echo "-lfl" ; else echo "" ; fi)
+LIBS := $(shell if [ "`uname -m`" != "sparc64" -a "`uname -m`" != "x86_64" ]; then echo "-lfl" ; else echo "" ; fi)
 OPT_FLAGS := $(shell if [ "`uname -m`" != "sparc64" ] && [ "`uname -m`" != "x86_64" ]; then echo "-O2" ; else echo "-O2 -m64" ; fi)
-CFLAGS := $(OPT_FLAGS) -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
+CFLAGS := $(OPT_FLAGS) -Wcast-qual -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
 LDFLAGS=
 INSTALL = /usr/bin/install -c
 
@@ -60,8 +60,8 @@
 		$(CC) $(CFLAGS) -o $@ gradm_pam.c -lpam -lpam_misc $(LDFLAGS) ; \
 	fi
 
-grlearn: grlearn.c gradm_lib.c grlearn2_config.tab.c lex.grlearn_config.c
-	$(CC) $(CFLAGS) -DIS_GRLEARN -o $@ grlearn.c gradm_lib.c grlearn2_config.tab.c lex.grlearn_config.c $(LIBS) $(LDFLAGS)
+grlearn: grlearn.c gradm_lib.c gradm_globals.c grlearn2_config.tab.c lex.grlearn_config.c
+	$(CC) $(CFLAGS) -DIS_GRLEARN -o $@ grlearn.c gradm_lib.c gradm_globals.c grlearn2_config.tab.c lex.grlearn_config.c $(LIBS) $(LDFLAGS)
 
 grlearn2_config.tab.c: grlearn2_config.y
 	$(YACC) -b grlearn2_config -p grlearn2_config -d ./grlearn2_config.y
@@ -134,6 +134,14 @@
 			$(MKNOD) -m 0622 $(DESTDIR)/dev/grsec c 1 13 ; \
 		fi \
 	fi
+	@if [ -d $(DESTDIR)/etc/udev/rules.d ] ; then \
+		echo "ACTION!=\"add|change\", GOTO=\"permissions_end\"" > $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
+		echo "KERNEL==\"grsec\",          MODE=\"0622\"" >> $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
+		echo "LABEL=\"permissions_end\"" >> $(DESTDIR)/etc/udev/rules.d/80-grsec.rules ; \
+	fi
+	@if [ -f $(DESTDIR)/sbin/udevadm ] ; then \
+		$(DESTDIR)/sbin/udevadm trigger --action=change ; \
+	fi
 	@echo "Installing gradm manpage..."
 	@mkdir -p $(DESTDIR)$(MANDIR)/man8
 	@$(INSTALL) -m 0644 gradm.8 $(DESTDIR)$(MANDIR)/man8/$(GRADM_BIN).8
