=== debian/changelog ===
gradm2 (2.9.1~201206091838-1) unstable; urgency=low

  * New upstream release (closes: #605263).
  * Update patches to match this release.
  * Only Linux is supported, make the package linux-any .
  * Build with hardening enabled, change upstream build to make this possible.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 20 Jun 2012 22:53:27 +0200
