=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://www.grsecurity.net/
 
 Package: gradm2
-Architecture: any
+Architecture: linux-any
 Suggests: linux-patch-grsecurity2
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Administration program for the grsecurity2 RBAC based ACL system
