=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS		+= $(HARDENING_CFLAGS) -fPIC
+CPPFLAGS	+= $(HARDENING_CFLAGS)
+LDFLAGS		+= $(HARDENING_LDFLAGS)
 
 DESTDIR = $(CURDIR)/debian/gradm2
 
@@ -36,6 +43,7 @@
 build-stamp:
 	dh_testdir
 
+#	LDFLAGS="${LDFLAGS}" $(MAKE)
 	$(MAKE)
 	touch $@
