=== debian/changelog ===
gradm2 (2.9.1~201301041755-1) unstable; urgency=low

  * New upstream release.
  * Move to Standards-Version 3.9.4 and to debhelper level 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 16 Mar 2013 21:58:04 +0100
