=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), bison, flex, libpam0g-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), bison, flex, libpam0g-dev
+Standards-Version: 3.9.4
 Homepage: http://www.grsecurity.net/
 
 Package: gradm2
