=== debian/changelog ===
gradm2 (2.9.1~201309161709-1) unstable; urgency=low

  * New upstream release.
  * Rework patches:
    - make those apply clean;
    - drop 05-add_format.patch as applied upstream;
    - drop 10-fix_pam_linking_on_sparc.patch as not needed anymore;
    - add 15-update-selinux-path.patch for changing SELinux default path
      (closes: #707221).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Sep 2013 08:11:58 +0000
