=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gradm2
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), bison, flex, libpam0g-dev
 Standards-Version: 3.9.4
 Homepage: http://www.grsecurity.net/
