## gradm2 3.0~201311242038

=== debian/changelog ===
gradm2 (3.0~201311242038-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Dec 2013 15:24:56 +0100
