=== debian/changelog ===
gradm2 (3.0~201401282126-1) unstable; urgency=low

  * New upstream release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 29 Jan 2014 17:59:19 +0100
