=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,12 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
-CFLAGS		+= $(HARDENING_CFLAGS) -fPIC
-CPPFLAGS	+= $(HARDENING_CFLAGS)
-LDFLAGS		+= $(HARDENING_LDFLAGS)
 
 DESTDIR = $(CURDIR)/debian/gradm2
 
@@ -42,8 +37,6 @@
 
 build-stamp:
 	dh_testdir
-
-#	LDFLAGS="${LDFLAGS}" $(MAKE)
 	$(MAKE)
 	touch $@
