## gradm2 3.0~201408301734

=== debian/changelog ===
gradm2 (3.0~201408301734-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Oct 2014 18:53:28 +0200
