## gradm2 3.1~201503211320

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##############################################################################
-# gradm (c) 2002-2014 - Brad Spengler, Open Source Security Inc.             #
+# gradm (c) 2002-2015 - Brad Spengler, Open Source Security Inc.             #
 # http://www.grsecurity.net                                                  #
 #----------------------------------------------------------------------------#
 # gradm is licensed under the GNU GPL v2 only http://www.gnu.org             #
@@ -29,8 +29,8 @@
 OPT_FLAGS := -O2
 # for older versions of grsecurity, comment the above line and uncomment the below:
 #OPT_FLAGS := $(shell if [ "`uname -m`" != "sparc64" ] && [ "`uname -m`" != "x86_64" ]; then echo "-O2" ; else echo "-O2 -m64" ; fi)
-CFLAGS := $(OPT_FLAGS) -Wcast-qual -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
-LDFLAGS=
+CFLAGS := $(OPT_FLAGS) -fPIE -Wcast-qual -DGRSEC_DIR=\"$(GRSEC_DIR)\" -D_LARGEFILE64_SOURCE
+LDFLAGS= -pie
 INSTALL = /usr/bin/install -c
 
 # FHS
