=== debian/changelog ===
gradm2 (3.1~201503211320-2) unstable; urgency=low

  * Apply all patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 04 Jun 2015 21:02:01 +0000

gradm2 (3.1~201503211320-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Apr 2015 20:23:26 +0000
