## gradm2 3.1~201507191652

=== debian/changelog ===
gradm2 (3.1~201507191652-2) unstable; urgency=low

  * Switch back to grsec device (closes: #813401).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Feb 2016 23:26:44 +0100

gradm2 (3.1~201507191652-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Jan 2016 08:27:31 +0100
