## gradm2 3.1~201603152148

=== debian/changelog ===
gradm2 (3.1~201603152148-1) unstable; urgency=low

  * New upstream release.
  * Delete /dev/grsec device if it exists (closes: #788492).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Mar 2016 17:58:53 +0000
