## gradm2 3.1~201608131257

=== debian/changelog ===
gradm2 (3.1~201608131257-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Nov 2016 15:22:08 +0000
