## gradm2 3.1~201701031918

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 LLEX=/usr/bin/lex
 FLEX=/usr/bin/flex
 LEX := $(shell if [ -x $(FLEX) ]; then echo $(FLEX); else echo $(LLEX); fi)
-LEXFLAGS=-Cfa -B
+LEXFLAGS=-Cfa -B -8
 #ubuntu broke byacc for who knows why, disable it
 #BYACC=/usr/bin/byacc
 BISON=/usr/bin/bison
