=== debian/changelog ===
gradm2 (3.1~201701031918-2build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:01:43 +0000

gradm2 (3.1~201701031918-2) unstable; urgency=low

  * Update udevadm path (closes: #852565).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Jan 2017 16:28:05 +0000

gradm2 (3.1~201701031918-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Jan 2017 14:47:17 +0000

gradm2 (3.1~201608131257-2) unstable; urgency=low

  * Add libfl-dev to build depends (closes: #849666).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Dec 2016 14:33:11 +0000
