## gradm2 3.1~201709030627

=== debian/changelog ===
gradm2 (3.1~201709030627-1) unstable; urgency=medium

  * New upstream release.
  * Migrate d/copyright to format 1.0 .
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.4 .

  [ Adrian Bunk <bunk@debian.org> ]
  * Fix FTBFS on !x86/sparc64 with recent flex (closes: #896166).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 20 Apr 2018 15:20:40 +0000
