=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), bison, flex, libfl-dev, libpam0g-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), bison, flex, libpam0g-dev
+Standards-Version: 4.1.4
 Homepage: http://www.grsecurity.net/
 
 Package: gradm2
