## gradm2 3.1~201903191516

=== debian/changelog ===
gradm2 (3.1~201903191516-1) unstable; urgency=medium

  * New upstream release.
  * Don't suggest no longer existing linux-patch-grsecurity2 package
    (closes: #961769).
  * Remove outdated Debian NEWS.
  * Update Standards-Version to 4.5.0 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #948434):
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Don't rebuild on every make invocation.
    + Don't strip during make install.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 May 2020 06:57:02 +0200
