=== debian/control ===
Source: gradm2
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), bison, flex, libpam0g-dev
Standards-Version: 4.5.0
Homepage: https://www.grsecurity.net/

Package: gradm2
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Administration program for the grsecurity2 RBAC based ACL system
 Used to manage the RBAC based ACL system of grsecurity2. Please note that you
 will need a specially patched kernel for grsecurity to work (see the
 kernel-patch-grsecurity2 Debian package). You can find more information
 about grsecurity at http://www.grsecurity.net/
