=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	dh_auto_build
 	touch $@
 
 install: install-stamp
@@ -45,7 +45,7 @@
 install-stamp: build
 	dh_testdir
 
-	$(MAKE) install DESTDIR=$(DESTDIR)
+	$(MAKE) install DESTDIR=$(DESTDIR) STRIP=true
 	install -m644 $(CURDIR)/gradm.8 $(DESTDIR)/usr/share/man/man8/gradm2.8
 	rm -rf $(DESTDIR)/dev/
 	install -d $(DESTDIR)/usr/share/lintian/overrides/
